{
  "name": "mdc-web-catalog",
  "version": "0.1.0",
  "private": true,
  "devDependencies": {
    "@babel/polyfill": "^7.2.5",
    "@babel/runtime": "^7.2.0",
    "@material/react-chips": "^0.9.3",
    "ajv": "^6.4.0",
    "autoprefixer": "7.1.6",
    "babel-core": "^6.26.3",
    "babel-eslint": "7.2.3",
    "babel-jest": "20.0.3",
    "babel-loader": "7.1.2",
    "babel-preset-react-app": "^3.1.1",
    "babel-runtime": "6.26.0",
    "case-sensitive-paths-webpack-plugin": "2.1.1",
    "chalk": "1.1.3",
    "classlist-polyfill": "^1.2.0",
    "classnames": "^2.2.5",
    "copy-webpack-plugin": "^4.5.1",
    "cross-env": "^5.1.4",
    "css-loader": "0.28.7",
    "dart-sass": "^1.15.2",
    "deep-equal": "^1.0.1",
    "dotenv": "4.0.0",
    "dotenv-expand": "4.2.0",
    "eslint": "4.10.0",
    "eslint-config-react-app": "^2.1.0",
    "eslint-loader": "1.9.0",
    "eslint-plugin-flowtype": "2.39.1",
    "eslint-plugin-import": "2.8.0",
    "eslint-plugin-jsx-a11y": "5.1.1",
    "eslint-plugin-react": "7.4.0",
    "extract-text-webpack-plugin": "3.0.2",
    "fibers": "^3.0.0",
    "file-loader": "1.1.5",
    "fs-extra": "3.0.1",
    "gh-pages": "^1.1.0",
    "history": "^4.7.2",
    "html-webpack-exclude-assets-plugin": "0.0.7",
    "html-webpack-plugin": "2.29.0",
    "jest": "20.0.4",
    "material-components-web": "^3.2.0",
    "object-assign": "4.1.1",
    "postcss-flexbugs-fixes": "3.2.0",
    "postcss-loader": "2.0.8",
    "pretty": "^1.0.0",
    "promise": "8.0.1",
    "query-string": "^5.1.1",
    "raf": "3.4.0",
    "react": "^16.8.0",
    "react-copy-to-clipboard": "^5.0.1",
    "react-dev-utils": "^5.0.2",
    "react-dom": "^16.4.2",
    "react-ga": "^2.5.0",
    "react-router": "^4.2.0",
    "react-router-dom": "^4.2.2",
    "react-syntax-highlighter": "^10.1.1",
    "react-transition-group": "^2.3.1",
    "sass-loader": "^7.1.0",
    "style-loader": "0.19.0",
    "svg-inline-loader": "^0.8.0",
    "sw-precache-webpack-plugin": "0.11.4",
    "url-loader": "^1.1.2",
    "uuid": "^3.3.2",
    "webpack": "3.8.1",
    "webpack-dev-server": "2.9.4",
    "webpack-manifest-plugin": "1.3.2",
    "whatwg-fetch": "2.0.3"
  },
  "scripts": {
    "predeploy": "npm run build",
    "deploy": "gh-pages -d build",
    "start": "node scripts/start.js",
    "build": "node scripts/build.js"
  },
  "homepage": "https://material-components.github.io/material-components-web-catalog",
  "jest": {
    "collectCoverageFrom": [
      "src/**/*.{js,jsx,mjs}"
    ],
    "setupFiles": [
      "<rootDir>/config/polyfills.js"
    ],
    "testMatch": [
      "<rootDir>/src/**/__tests__/**/*.{js,jsx,mjs}",
      "<rootDir>/src/**/?(*.)(spec|test).{js,jsx,mjs}"
    ],
    "testEnvironment": "node",
    "testURL": "http://localhost",
    "transform": {
      "^.+\\.(js|jsx|mjs)$": "<rootDir>/node_modules/babel-jest",
      "^.+\\.css$": "<rootDir>/config/jest/cssTransform.js",
      "^(?!.*\\.(js|jsx|mjs|css|json)$)": "<rootDir>/config/jest/fileTransform.js"
    },
    "transformIgnorePatterns": [
      "[/\\\\]node_modules[/\\\\].+\\.(js|jsx|mjs)$"
    ],
    "moduleNameMapper": {
      "^react-native$": "react-native-web"
    },
    "moduleFileExtensions": [
      "web.js",
      "mjs",
      "js",
      "json",
      "web.jsx",
      "jsx",
      "node"
    ]
  },
  "babel": {
    "presets": [
      "react-app"
    ]
  },
  "eslintConfig": {
    "extends": "react-app"
  }
}
